package info.jbcs.minecraft.randomite;

import java.io.File;

import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.world.MinecraftException;
import net.minecraft.world.WorldProvider;
import net.minecraft.world.chunk.storage.IChunkLoader;
import net.minecraft.world.storage.IPlayerFileData;
import net.minecraft.world.storage.ISaveHandler;
import net.minecraft.world.storage.WorldInfo;

public class FakeSaveHandler implements ISaveHandler {
	private final WorldInfo	info;

	FakeSaveHandler(WorldInfo info){
		this.info=info;
	}
	
	@Override
	public WorldInfo loadWorldInfo() {
		return info;
	}

	@Override
	public void checkSessionLock() throws MinecraftException {
		
	}

	@Override
	public IChunkLoader getChunkLoader(WorldProvider worldprovider) {
		return null;
	}

	@Override
	public void saveWorldInfoWithPlayer(WorldInfo worldinfo, NBTTagCompound nbttagcompound) {
		
	}

	@Override
	public void saveWorldInfo(WorldInfo worldinfo) {
		
	}

	@Override
	public IPlayerFileData getSaveHandler() {
		return null;
	}

	@Override
	public void flush() {
		
	}

	@Override
	public File getMapFileFromName(String s) {
		return null;
	}

	@Override
	public String getWorldDirectoryName() {
		return null;
	}

}
