package info.jbcs.minecraft.randomite;

import java.util.HashMap;

import net.minecraft.world.World;

public class ChunkEvaluation {
	public HashMap<String, ChunkEvaluatorItemEntry>	itemMap[]		= new HashMap[FakeWorld.fortuneLevels];
	public String	key;

	ChunkEvaluation(World world,int cx,int cz,String key){
		this.key=key;
		
		for (int i = 0; i < FakeWorld.fortuneLevels; i++) {
			itemMap[i] = new HashMap<String, ChunkEvaluatorItemEntry>();
		}
		
		Randomite.debug("Evaluating chunk "+key);
		FakeWorld fakeWorld=new FakeWorld(world, cx, cz);
		fakeWorld.evaluateChunk(this);
		Randomite.debug("  done!");
		
		for(int fortune=0;fortune<FakeWorld.fortuneLevels;fortune++){
			for (ChunkEvaluatorItemEntry entry: itemMap[fortune].values()) {
				entry.average=1.0*entry.count/entry.blockCount;
				entry.dispersion=Math.sqrt(entry.dispersion/entry.blockCount);
//				System.out.println("  "+Item.itemsList[entry.id].getUnlocalizedName()+"["+(1.0*entry.count/entry.blockCount)+"] x "+entry.count+"|"+entry.damage);
			}
		}
	}
}
